%global fontname comic-neue
%global fontconf 63-%{fontname}

%global common_desc \
Comic Neue is a font created by Craig Rozynski that takes inspiration\
from Comic Sans. It is perfect as a display face, for marking up comments,\
and writing passive aggressive office memos.


Name:           %{fontname}-fonts
Version:        2.2
Release:        2%{?dist}
Summary:        A typeface family inspired by Comic Sans

Group:          User Interface/X
License:        OFL
URL:            http://comicneue.com/
Source0:        http://comicneue.com/%{fontname}-%{version}.zip
Source1:        %{fontname}-fontconfig.conf
Source2:        %{fontname}-angular-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel

Requires:       %{name}-common = %{version}-%{release}


%description
%common_desc


%package common
Summary:        Common files of %{name}
Requires:       fontpackages-filesystem

%description common
%common_desc

This package consists of files used by other %{name} packages.


%package -n %{fontname}-angular-fonts
Summary:        A typeface family inspired by Comic Sans, angular variant
Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-angular-fonts
%common_desc

The Comic Neue Angular variant features angular terminals rather than round.



%prep
%setup -q -n %{fontname}-%{version}


%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-angular.conf

for fconf in %{fontconf}.conf \
             %{fontconf}-angular.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

%_font_pkg -f %{fontconf}.conf ComicNeue-Regular.otf ComicNeue_*.otf
%_font_pkg -n angular -f %{fontconf}-angular.conf ComicNeue-Angular-Regular.otf ComicNeue-Angular_*.otf


%files common
%doc Booklet-ComicNeue.pdf FONTLOG.txt
%license SIL-License.txt OFL-FAQ.txt


%changelog
* Wed Dec 02 2015 Karel Volný <kvolny@redhat.com> 2.2-2
- fixes as per review RHBZ#1271787#c3
- removed %%clean
- removed %%defattr
- moved %%_font_pkg to %%install section

* Wed Oct 14 2015 Karel Volný <kvolny@redhat.com> 2.2-1
- Initial release
